Bug 870833 - [abrt] ibus-1.4.99.20121006-2.fc18: main.py:284:__init_ui:AttributeError: 'NoneType' object has no attribute 'connect'
[abrt] ibus-1.4.99.20121006-2.fc18: main.py:284:__init_ui:AttributeError: 'No...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:07fb0f93e5fd396f2792c477737...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-28 19:09 EDT by Dan Mashal
Modified: 2012-11-23 03:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 03:41:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: executable (29 bytes, text/plain)
2012-10-28 19:09 EDT, Dan Mashal
no flags Details
File: environ (1.41 KB, text/plain)
2012-10-28 19:09 EDT, Dan Mashal
no flags Details
File: core_backtrace (264 bytes, text/plain)
2012-10-28 19:09 EDT, Dan Mashal
no flags Details

  None (edit)
Description Dan Mashal 2012-10-28 19:09:17 EDT
Version-Release number of selected component:
ibus-1.4.99.20121006-2.fc18

Additional info:
libreport version: 2.0.17
abrt_version:   2.0.17
cmdline:        /usr/bin/python /usr/share/ibus/setup/main.py
kernel:         3.6.3-3.fc18.x86_64

backtrace:
:main.py:284:__init_ui:AttributeError: 'NoneType' object has no attribute 'connect'
:
:Traceback (most recent call last):
:  File "/usr/share/ibus/setup/main.py", line 690, in <module>
:    setup = Setup()
:  File "/usr/share/ibus/setup/main.py", line 90, in __init__
:    self.__init_ui()
:  File "/usr/share/ibus/setup/main.py", line 284, in __init_ui
:    self.__config.connect("value-changed", self.__config_value_changed_cb)
:AttributeError: 'NoneType' object has no attribute 'connect'
:
:Local variables in innermost frame:
:self: <__main__.Setup object at 0x21e24d0>
Comment 1 Dan Mashal 2012-10-28 19:09:19 EDT
Created attachment 634781 [details]
File: executable
Comment 2 Dan Mashal 2012-10-28 19:09:21 EDT
Created attachment 634782 [details]
File: environ
Comment 3 Dan Mashal 2012-10-28 19:09:22 EDT
Created attachment 634783 [details]
File: core_backtrace
Comment 4 fujiwara 2012-10-30 04:47:26 EDT
(In reply to comment #0)
> :  File "/usr/share/ibus/setup/main.py", line 284, in __init_ui
> :    self.__config.connect("value-changed", self.__config_value_changed_cb)
> :AttributeError: 'NoneType' object has no attribute 'connect'

Your result shows self.__config == None but I cannot reproduce your problem.
Are you still able to reproduce your problem?
Comment 5 Dan Mashal 2012-10-30 04:48:35 EDT
Are you using MATE? It could be an SELinux or dbus issue.
Comment 6 Dan Mashal 2012-10-30 04:50:00 EDT
=== fpaste 0.3.7.1 System Information (fpaste --sysinfo) ===
* OS Release (lsb_release -ds):
     "Fedora release 17 (Beefy Miracle)"
     
* Kernel (uname -r ; cat /proc/cmdline):
     3.6.2-4.fc17.i686.PAE
     BOOT_IMAGE=/boot/vmlinuz-3.6.2-4.fc17.i686.PAE root=UUID=2db78eed-0224-4b1c-b282-652a233a72ab ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8 rhgb quiet
     
* Desktop(s) Running (failed: "ps -eo comm= | egrep '(gnome-session|kdeinit|xfce.?-session|fluxbox|blackbox|hackedbox|ratpoison|enlightenment|icewm-session|od-session|wmaker|wmx|openbox-lxde|openbox-gnome-session|openbox-kde-session|mwm|e16|fvwm|xmonad|sugar-session)' "):
     N/A
 
* Desktop(s) Installed (ls -m /usr/share/xsessions/ | sed 's/\.desktop//g' ):
     gnome, mate
     
* SELinux Status (sestatus):
     SELinux status:                 disabled
     
* SELinux Error Count (failed: "selinuxenabled && (grep avc: /var/log/messages; ausearch -m avc -ts today)2>/dev/null|egrep -o "comm=\"[^ ]+"|sort|uniq -c|sort -rn"):
     N/A
 
* CPU Model (grep 'model name' /proc/cpuinfo | awk -F: '{print $2}' | uniq -c | sed -re 's/^ +//' ):
     1  Intel(R) Pentium(R) 4 CPU 2.66GHz
     
* 64-bit Support (grep -q ' lm ' /proc/cpuinfo && echo Yes || echo No):
     Yes
     
* Hardware Virtualization Support (egrep -q '(vmx|svm)' /proc/cpuinfo && echo Yes || echo No):
     No
     
* Load average (uptime):
      10:46:36 up  2:26,  2 users,  load average: 0.58, 0.52, 0.46
     
* Memory usage (free -m):
                  total       used       free     shared    buffers     cached
     Mem:           748        684         64          0         17        204
     -/+ buffers/cache:        462        286
     Swap:          310        157        153
     
* Top 5 CPU hogs (ps axuScnh | awk '$2!=5336' | sort -rnk3 | head -5):
         1000  1890 20.1 37.9 900888 291204 ?       Sl   08:23  28:55 firefox
            0  1268  5.2  2.2  64000 17624 tty2     Ss+  08:21   7:34 Xorg
            0  5216  4.0  0.3   6388  2788 pts/0    S    10:43   0:07 bash
         1000  1975  2.0  1.8 170908 14232 ?        Sl   08:23   2:55 plugin-containe
            0     1  1.5  0.2   5872  1600 ?        Ss   08:20   2:16 systemd
     
* Top 5 Memory hogs (ps axuScnh | sort -rnk4 | head -5):
         1000  1890 20.1 37.9 900888 291204 ?       Sl   08:23  28:55 firefox
         1000  1661  0.1  3.1 213092 24024 ?        Sl   08:21   0:13 caja
         1000  2649  0.1  2.7 190472 21004 ?        S    08:43   0:12 pidgin
         1000  1749  0.0  2.7 321692 20844 ?        Ssl  08:21   0:07 dropbox
            0  1268  5.2  2.2  64000 17624 tty2     Ss+  08:21   7:34 Xorg
     
* Disk space usage (df -hT):
     Filesystem     Type      Size  Used Avail Use% Mounted on
     rootfs         rootfs     13G   12G  1.3G  90% /
     devtmpfs       devtmpfs  366M     0  366M   0% /dev
     tmpfs          tmpfs     375M   84K  375M   1% /dev/shm
     tmpfs          tmpfs     375M  1.2M  374M   1% /run
     /dev/sda8      ext4       13G   12G  1.3G  90% /
     tmpfs          tmpfs     375M     0  375M   0% /sys/fs/cgroup
     tmpfs          tmpfs     375M     0  375M   0% /media
     
* Block devices (blkid):
     /dev/sda1: UUID="6AC8058DC8055929" TYPE="ntfs"
     /dev/sda5: UUID="44B8BED9B8BEC926" TYPE="ntfs"
     /dev/sda6: UUID="C014C7FB14C7F308" TYPE="ntfs"
     /dev/sda7: UUID="CC58CE5658CE3EC8" TYPE="ntfs"
     /dev/sda8: LABEL="_Fedora-17-i686-" UUID="2db78eed-0224-4b1c-b282-652a233a72ab" TYPE="ext4"
     /dev/sda9: UUID="8b006d6a-fc6e-425c-8258-5ce29409b49d" TYPE="swap"
     
* PCI devices (lspci):
     00:00.0 Host bridge: ATI Technologies Inc Radeon Xpress 200 Host Bridge (rev 01)
     00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
     00:11.0 IDE interface: ATI Technologies Inc IXP SB400 Serial ATA Controller (rev 80)
     00:12.0 IDE interface: ATI Technologies Inc IXP SB400 Serial ATA Controller (rev 80)
     00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
     00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
     00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller (rev 80)
     00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 82)
     00:14.1 IDE interface: ATI Technologies Inc IXP SB400 IDE Controller (rev 80)
     00:14.2 Audio device: ATI Technologies Inc IXP SB4x0 High Definition Audio Controller (rev 01)
     00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge (rev 80)
     00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge (rev 80)
     01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200]
     02:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
     02:04.0 Modem: ALi Corporation SmartLink SmartPCI563 56K Modem
     
* USB devices (lsusb):
     Bus 003 Device 002: ID 1c4f:0003 SiGma Micro HID controller
     Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     
* DRM Information (failed: "grep drm /var/log/dmesg"):
     N/A
 
* Xorg modules (grep LoadModule /var/log/Xorg.0.log | cut -d \" -f 2 | xargs):
     extmod dbe glx record dri dri2 ati radeon vesa modesetting fbdev fbdevhw exa fb ramdac evdev
     
* GL Support (glxinfo | egrep "OpenGL version|OpenGL renderer"):
     OpenGL renderer string: Gallium 0.4 on ATI RC410
     OpenGL version string: 2.1 Mesa 8.0.4
     
* Xorg errors (grep '^\[.*(EE)' /var/log/Xorg.0.log):
     [    79.256] (EE) Failed to load module "modesetting" (module does not exist, 0)
     
* Kernel buffer tail (dmesg | tail):
     [   51.691000] serial8250: too much work for irq17
     [   51.702465] serial8250: too much work for irq17
     [   51.713931] serial8250: too much work for irq17
     [   51.725398] serial8250: too much work for irq17
     [   51.736864] serial8250: too much work for irq17
     [   52.355007] serial8250: too much work for irq17
     [   68.072002] serial8250_interrupt: 3 callbacks suppressed
     [   68.072002] serial8250: too much work for irq17
     [   94.323716] fuse init (API version 7.20)
     [ 3350.601539] nf_conntrack: automatic helper assignment is deprecated and it will be removed soon. Use the iptables CT target to attach helpers instead.
     
* Last few reboots (last -x -n10 reboot runlevel):
     runlevel (to lvl 5)   3.6.2-4.fc17.i68 Tue Oct 30 08:20 - 10:46  (02:25)    
     reboot   system boot  3.6.2-4.fc17.i68 Tue Oct 30 08:20 - 10:46  (02:26)    
     runlevel (to lvl 5)   3.6.2-4.fc17.i68 Mon Oct 29 20:22 - 23:04  (02:42)    
     reboot   system boot  3.6.2-4.fc17.i68 Mon Oct 29 20:21 - 23:04  (02:43)    
     runlevel (to lvl 5)   3.6.2-4.fc17.i68 Mon Oct 29 17:20 - 19:23  (02:03)    
     reboot   system boot  3.6.2-4.fc17.i68 Mon Oct 29 17:18 - 19:23  (02:05)    
     runlevel (to lvl 5)   3.6.2-4.fc17.i68 Mon Oct 29 08:07 - 12:32  (04:25)    
     reboot   system boot  3.6.2-4.fc17.i68 Mon Oct 29 08:06 - 12:32  (04:25)    
     runlevel (to lvl 5)   3.6.2-4.fc17.i68 Sun Oct 28 16:10 - 04:16  (12:06)    
     reboot   system boot  3.6.2-4.fc17.i68 Sun Oct 28 16:09 - 04:16  (12:07)    
     
     wtmp begins Sun Aug 19 11:03:54 2012
     
* YUM Repositories (yum -C repolist):
     Loaded plugins: langpacks, presto, refresh-packagekit
     repo id                    repo name                                      status
     Dropbox                    Dropbox Repository                                  4
     adobe-linux-i386           Adobe Systems Incorporated                         17
     fedora                     Fedora 17 - i386                               21,738
     google-chrome              google-chrome - 32-bit                              3
     google-talkplugin          google-talkplugin                                   1
     olpcxs                     OLPC XS                                            32
     rpmfusion-free             RPM Fusion for Fedora 17 - Free                   369
     rpmfusion-free-updates     RPM Fusion for Fedora 17 - Free - Updates         606
     rpmfusion-nonfree          RPM Fusion for Fedora 17 - Nonfree                154
     rpmfusion-nonfree-updates  RPM Fusion for Fedora 17 - Nonfree - Updates      472
     updates                    Fedora 17 - i386 - Updates                      7,834
     repolist: 31,230
     
* YUM Extras (yum -C list extras):
     Loaded plugins: langpacks, presto, refresh-packagekit
     Extra Packages
     abrt.i686                            2.0.17-1.fc17             @updates-testing
     abrt-addon-ccpp.i686                 2.0.17-1.fc17             @updates-testing
     abrt-addon-kerneloops.i686           2.0.17-1.fc17             @updates-testing
     abrt-addon-python.i686               2.0.17-1.fc17             @updates-testing
     abrt-addon-vmcore.i686               2.0.17-1.fc17             @updates-testing
     abrt-addon-xorg.i686                 2.0.17-1.fc17             @updates-testing
     abrt-dbus.i686                       2.0.17-1.fc17             @updates-testing
     abrt-desktop.i686                    2.0.17-1.fc17             @updates-testing
     abrt-gui.i686                        2.0.17-1.fc17             @updates-testing
     abrt-libs.i686                       2.0.17-1.fc17             @updates-testing
     abrt-plugin-bodhi.i686               2.0.17-1.fc17             @updates-testing
     abrt-retrace-client.i686             2.0.17-1.fc17             @updates-testing
     btparser.i686                        0.21-1.fc17               @updates-testing
     ceph.i686                            0.45-1.fc17               @updates-testing
     cinnamon-debuginfo.i686              1.5.2-2.fc17              installed        
     fpaste.noarch                        0.3.7.1-4.fc17            @updates-testing
     grub-customizer.i686                 2.5.6-1.fc17.R            @/grub-customizer-2.5.6-1.fc17.R.i686
     jre.i586                             1.7.0_05-fcs              installed        
     kernel-PAE.i686                      3.6.1-1.fc17              @updates-testing
     kernel-PAE.i686                      3.6.2-4.fc17              @updates        
     kernel-PAE-devel.i686                3.6.1-1.fc17              @updates-testing
     kernel-PAE-devel.i686                3.6.2-4.fc17              @updates        
     kernel-devel.i686                    3.6.1-1.fc17              @updates        
     kernel-devel.i686                    3.6.2-4.fc17              @updates        
     kernel-headers.i686                  3.6.2-4.fc17              @updates        
     kernel-tools.i686                    3.6.2-4.fc17              @updates        
     kernel-tools-libs.i686               3.6.2-4.fc17              @updates        
     libmate.i686                         1.4.0-12.fc17             @updates        
     libmatecomponent.i686                1.4.0-14.fc17             @updates-testing
     libreport.i686                       2.0.17-1.fc17             @updates-testing
     libreport-gtk.i686                   2.0.17-1.fc17             @updates-testing
     libreport-newt.i686                  2.0.17-1.fc17             @updates-testing
     libreport-plugin-bugzilla.i686       2.0.17-1.fc17             @updates-testing
     libreport-plugin-kerneloops.i686     2.0.17-1.fc17             @updates-testing
     libreport-plugin-logger.i686         2.0.17-1.fc17             @updates-testing
     libreport-plugin-ureport.i686        2.0.17-1.fc17             @updates-testing
     libreport-python.i686                2.0.17-1.fc17             @updates-testing
     libreport-web.i686                   2.0.17-1.fc17             @updates-testing
     mate-common.noarch                   1.5.0-1.fc17              @updates-testing
     mate-desktop.i686                    1.4.1-12.fc17             @updates-testing
     mate-desktop-libs.i686               1.4.1-12.fc17             @updates-testing
     mate-file-manager-open-terminal.i686 1.4.0-1.fc17              @/mate-file-manager-open-terminal-1.4.0-1.fc17.i686
     mate-keyring.i686                    1.4.0-14.fc17             @updates-testing
     mate-keyring-pam.i686                1.4.0-14.fc17             @updates-testing
     mate-media.i686                      1.4.0-3.fc17              @updates-testing
     mate-panel.i686                      1.4.0-12.fc17             @updates-testing
     mate-screensaver.i686                1.4.0-2.fc17              @updates-testing
     mate-session-manager.i686            1.4.0-9.fc17              @updates-testing
     mate-terminal.i686                   1.4.0-4.fc17              @updates-testing
     mate-themes.noarch                   1.4.0-7.fc17              @updates-testing
     nss.i686                             3.13.5-1.fc17             @updates        
     nss-softokn.i686                     3.13.5-1.fc17             @updates        
     nss-softokn-freebl.i686              3.13.5-1.fc17             @updates        
     nss-sysinit.i686                     3.13.5-1.fc17             @updates        
     nss-tools.i686                       3.13.5-1.fc17             @updates        
     nss-util.i686                        3.13.5-1.fc17             @updates        
     openldap.i686                        2.4.32-3.fc17             @updates        
     parole.i686                          0.2.0.2-7.fc17            @updates-testing
     parole-devel.i686                    0.2.0.2-7.fc17            @updates-testing
     parole-mozplugin.i686                0.2.0.2-7.fc17            @updates-testing
     plymouth.i686                        0.8.5-0.2012.04.27.4.fc17 @updates-testing
     qupzilla.i686                        1.3.5-2.fc17              @updates-testing
     remi-release.noarch                  17-7.fc17.remi            installed        
     shotwell.i686                        0.12.3-1.fc17.1           @updates-testing
     skype.i586                           4.0.0.7-fc16              installed        
     vim-X11.i686                         2:7.3.638-2.fc17          @updates        
     vim-common.i686                      2:7.3.638-2.fc17          @updates        
     vim-enhanced.i686                    2:7.3.638-2.fc17          @updates        
     vim-filesystem.i686                  2:7.3.638-2.fc17          @updates        
     vim-minimal.i686                     2:7.3.638-2.fc17          @updates        
     vsftpd.i686                          3.0.2-1.fc17              @updates-testing
     wingide-101-4.1.i386                 136:4.1.7-1               installed        
     youtube-dl.noarch                    2012.10.09-1.fc17         @updates-testing
     
* Last 20 packages installed (rpm -qa --nodigest --nosignature --last | head -20):
     mate-terminal-1.4.0-4.fc17                    Tue 30 Oct 2012 08:54:47 AM IST
     parole-mozplugin-0.2.0.2-7.fc17               Sun 28 Oct 2012 11:31:57 AM IST
     parole-devel-0.2.0.2-7.fc17                   Sun 28 Oct 2012 11:31:55 AM IST
     parole-0.2.0.2-7.fc17                         Sun 28 Oct 2012 11:31:43 AM IST
     youtube-dl-2012.10.09-1.fc17                  Sun 28 Oct 2012 09:54:14 AM IST
     mate-file-manager-open-terminal-1.4.0-1.fc17  Sat 27 Oct 2012 04:09:15 PM IST
     mate-common-1.5.0-1.fc17                      Sat 27 Oct 2012 12:24:26 PM IST
     gtk-doc-1.18-2.fc17                           Sat 27 Oct 2012 12:24:24 PM IST
     docbook-utils-0.6.14-31.fc17                  Sat 27 Oct 2012 12:24:22 PM IST
     perl-SGMLSpm-1.03ii-27.fc17                   Sat 27 Oct 2012 12:24:21 PM IST
     docbook-style-dsssl-1.79-13.fc17              Sat 27 Oct 2012 12:24:14 PM IST
     openjade-1.3.2-39.fc17                        Sat 27 Oct 2012 12:24:11 PM IST
     opensp-1.5.2-14.fc17                          Sat 27 Oct 2012 12:24:07 PM IST
     source-highlight-3.1.4-10.fc17                Sat 27 Oct 2012 12:24:03 PM IST
     boost-regex-1.48.0-13.fc17                    Sat 27 Oct 2012 12:23:53 PM IST
     docbook-style-xsl-1.76.1-5.fc17               Sat 27 Oct 2012 12:23:41 PM IST
     compface-1.5.2-13.fc17                        Sat 27 Oct 2012 11:03:28 AM IST
     pilot-link-libs-0.12.5-11.fc17                Sat 27 Oct 2012 11:03:23 AM IST
     libreport-newt-2.0.17-1.fc17                  Fri 26 Oct 2012 09:16:32 AM IST
     abrt-desktop-2.0.17-1.fc17                    Fri 26 Oct 2012 09:16:31 AM IS
Comment 7 Dan Mashal 2012-10-30 04:50:34 EDT
sorry wrong bug please disregard that
Comment 8 fujiwara 2012-10-31 05:12:43 EDT
I cannot reproduce your problem.
You reported f18 ibus but you installed f17 mate.

Probably you could run 'ibus-daemon --xim --verbose' to see any warnings after terminate the current ibus-daemon.

Note You need to log in before you can comment on or make changes to this bug.